%define name		dvb-apps
%define version		1.1.2
%define branch		f3a70b206f0f

%define distname	linuxtv-dvb-apps

%define release %mkrel 2

Summary:	Various apps for DVB cards
Summary(de):	Verschiedene Anwendungen für DVB-Karten
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://linuxtv.org/download/dvb/%{name}-%{branch}.tar.xz
Patch0:		dvbnet-do-not-strip-dir-from-argv0.patch
License:	GPL
Group:		Video
URL:		http://linuxtv.org/dvb/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  libusb-devel
BuildRequires:  glibc-headers-devel
Obsoletes:	%name < %version

%description
Various apps for DVB cards.

#german
%description -l de
Verschiedene Anwendungen für DVB-Karten. 

%package -n %name-devel
Summary:	Include files and libraries for development
Summary(de):	Include Dateien und Bibliotheken für die Entwicklung
Group:		Development/Libraries/C and C++
Requires:	%name = %{version}-%{release}

%description -n %name-devel
Include files and mandatory libraries for development.

#german
%description -n %name-devel -l de
Include Dateien und benötigte Bibliotheken für die Entwicklung.

%prep
%setup -q -n %name-%branch

%patch0 -p1


# Fix libdir for 64 bit arches
%ifarch x86_64 
sed -i.lib64 's#$(prefix)/lib#$(prefix)/lib64#' Make.rules 
%endif

cd util
install -pm 644 av7110_loadkeys/README ../README.av7110_loadkeys
install -pm 644 scan/README ../README.scandvb
install -pm 644 szap/README ../README.szap
install -pm 644 ttusb_dec_reset/README ../README.ttusb_dec_reset
chmod 644 dvbnet/net_start.*
cd ..

%build
%make V=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove static libraries
find %{buildroot} -name '*.a' -exec rm -f {} ';'

# backward compatibility:
ln -s scan %{buildroot}%{_bindir}/scandvb

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING COPYING.LGPL README.* util/szap/channels-conf
%{_bindir}/*
%{_datadir}/dvb
%{_libdir}/libdvbapi.so
%{_libdir}/libdvbcfg.so
%{_libdir}/libdvben50221.so
%{_libdir}/libdvbsec.so
%{_libdir}/libucsi.so

%files -n %name-devel
%defattr(-,root,root,-)
%{_libdir}/libesg.so
%{_includedir}/*


%changelog
* Sat May 11 2013 Texstar <texstar at gmail.com> 1.1.2-f3a70b206f0f-1pclos2013
- update

* Thu Mar 08 2012 Neal <nealbrks0 at gmail dot com> 1.1.2-69fc03702a64-1pclos2012
- process

* Fri Feb 24 2012 leiche <meisssw01 at gmail.com> 1.1.2-69fc03702a64-1pclos2012
- update from branch 69fc03702a64
- add german description

* Fri Nov 10 2006 Texstar <texstar@houston.rr.com> 1.1.1-0.0.2pclos2007
- Build for PCLinuxOS 2007

